.TH wxClipboard 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxClipboard \- See external documentation: wxClipboard\&.
.SH DESCRIPTION
.LP
See external documentation: wxClipboard <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxClipboard()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxClipboard()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardwxclipboard>\&.
.RE
.LP
.B
addData(This::wxClipboard(), Data::wxDataObject() (see module wxDataObject)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardadddata>\&.
.RE
.LP
.B
clear(This::wxClipboard()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardclear>\&.
.RE
.LP
.B
close(This::wxClipboard()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardclose>\&.
.RE
.LP
.B
flush(This::wxClipboard()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardflush>\&.
.RE
.LP
.B
getData(This::wxClipboard(), Data::wxDataObject() (see module wxDataObject)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardgetdata>\&.
.RE
.LP
.B
isOpened(This::wxClipboard()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardisopened>\&.
.RE
.LP
.B
open(This::wxClipboard()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardopen>\&.
.RE
.LP
.B
setData(This::wxClipboard(), Data::wxDataObject() (see module wxDataObject)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardsetdata>\&.
.RE
.LP
.B
usePrimarySelection(This::wxClipboard()) -> ok
.br
.RS
.LP
Equivalent to usePrimarySelection(This, [])\&.
.RE
.LP
.B
usePrimarySelection(This::wxClipboard(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {primary, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboarduseprimaryselection>\&.
.RE
.LP
.B
isSupported(This::wxClipboard(), Format::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardissupported>\&.
.RE
.LP
.B
get() -> wxClipboard()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxclipboard\&.html#wxclipboardget>\&.
.RE
.LP
.B
destroy(This::wxClipboard()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
